commit: e1e7460d990427790ab2ef304d3cd0c1cfcf823e
Author: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 3 20:16:53 2019 +0000
Commit: Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Sat Aug 3 20:16:53 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1e7460d
dev-python/pyamg: Works with py3.7
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>
dev-python/pyamg/pyamg-3.2.1-r1.ebuild | 31 +++++++++++++++++++++++++++++++
1 file changed, 31 insertions(+)
diff --git a/dev-python/pyamg/pyamg-3.2.1-r1.ebuild
b/dev-python/pyamg/pyamg-3.2.1-r1.ebuild
new file mode 100644
index 00000000000..67fb63a9951
--- /dev/null
+++ b/dev-python/pyamg/pyamg-3.2.1-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Algebraic multigrid solvers in Python"
+HOMEPAGE="https://pyamg.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ sci-libs/scipy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ distutils_install_for_testing
+ cd "${T}" || die # need to be away source directory
+ nosetests --verbose pyamg || die
+}